Scientific Linux Forum.org



  Reply to this topicStart new topicStart Poll

> VirtualBox not run with SL 6.5
JeanM
 Posted: Feb 6 2014, 06:43 PM
Quote Post


SLF Rookie
*

Group: Members
Posts: 22
Member No.: 116
Joined: 1-May 11









Hi,
With the last version of SL-6.4 and the recent version of SL-6.5, VirtualBox (Version 4.3.6 r91406... and 4.3.12 r93733) does not run any more. http://dl.dropbox.com/u/2835777/BangHead1.gif
SL is Host and VM for Window$. I thus use an older version of the kernel core. http://www.madjacksports.com/forum/images/smilies/facepalm.gif
Do other users have the same problem?
Is there a solution?
Here some information:
Error Message
CODE
Echec de l'ouverture de session pour la machine virtuelle VMjmW.
Failed to load VMMR0.r0 (VERR_NO_EXEC_MEMORY).

Code d'erreur : NS_ERROR_FAILURE (0x80004005)
Composant     : Console
Interface     : IConsole {8ab7c520-2442-4b66-8d74-4ff1e195d2b6}

Part of my "/boot/grub/menu.lst"
CODE
title Scientific Linux (2.6.32-431.1.2.el6.i686)
root (hd0,4)
kernel /boot/vmlinuz-2.6.32-431.1.2.el6.i686 ro root=UUID=75c78347-a6a0-4880-af74-7a3187654e62 rd_NO_LUKS rd_NO_MD LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=fr rd_NO_LVM rd_NO_DM rhgb crashkernel=auto
initrd /boot/initramfs-2.6.32-431.1.2.el6.i686.img

Regards,
Jean-Michel
PM
^
toracat
 Posted: Feb 6 2014, 07:13 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









Please make sure you have kernel-devel that matches your running kernel. If unsure, post the output returned by:

rpm -qa kernel\* | sort

and

uname -mr

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
JeanM
 Posted: Feb 6 2014, 07:59 PM
Quote Post


SLF Rookie
*

Group: Members
Posts: 22
Member No.: 116
Joined: 1-May 11









QUOTE (toracat @ Feb 6 2014, 08:13 PM)
Please make ...

CODE
# rpm -qa kernel\* |sort
kernel-2.6.32-358.18.1.el6.i686
kernel-2.6.32-358.23.2.el6.i686
kernel-2.6.32-431.1.2.el6.i686
kernel-devel-2.6.32-358.18.1.el6.i686
kernel-devel-2.6.32-358.23.2.el6.i686
kernel-devel-2.6.32-431.1.2.el6.i686
kernel-firmware-2.6.32-431.1.2.el6.noarch
kernel-headers-2.6.32-431.1.2.el6.i686
#
# uname -mr
2.6.32-431.1.2.el6.i686 i686
#

Thank you for your assistance.
JM

PM
^
toracat
 Posted: Feb 6 2014, 08:01 PM
Quote Post


SLF Geek
****

Group: Members
Posts: 303
Member No.: 11
Joined: 10-April 11









That looks good. What would you see when you run (on the host):

/etc/init.d/vboxdrv setup

--------------------
ELRepo: repository specializing in hardware support for EL
PMUsers Website
^
JeanM
 Posted: Feb 7 2014, 05:39 AM
Quote Post


SLF Rookie
*

Group: Members
Posts: 22
Member No.: 116
Joined: 1-May 11









QUOTE (toracat @ Feb 6 2014, 09:01 PM)
That looks good. What would you see when you run (on the host): /etc/init.d/vboxdrv setup

CODE
# /etc/init.d/vboxdrv setup
Stopping VirtualBox kernel modules                         [  OK  ]
Uninstalling old VirtualBox DKMS kernel modulesError! There are no instances of module: vboxhost
4.3.6 located in the DKMS tree.
Error! There are no instances of module: vboxhost
4.3.6 located in the DKMS tree.
                                                           [  OK  ]
Trying to register the VirtualBox kernel modules using DKMS[  OK  ]
Starting VirtualBox kernel modules                         [  OK  ]
#

and... VirtualBox still does not run. wacko.gif
PM
^
labyrinth
 Posted: Feb 12 2014, 06:29 AM
Quote Post


SLF Newbie


Group: Members
Posts: 4
Member No.: 2951
Joined: 10-February 14









I have a 64-bit machine running virtualbox from virtualbox.org with no problems. I would say perhaps gather more verbose logging, though it might be worthy to try completely purging it and reinstalling it, or even trying it on a 64-bit system if possible. We can narrow down the issue.
PM
^
Screwballl
 Posted: Apr 14 2014, 11:14 PM
Quote Post


SLF Junior
**

Group: Members
Posts: 28
Member No.: 3067
Joined: 14-April 14









I wonder if it is a virtualbox program issue, where you used an older version and updated to the newer version, but not recognizing something from the VHD files created in the old VB. Today I installed SL 6.5 x86 (actually installed several different variations of it for testing) within VB 4.3.10 r93012, host system is Win7 Pro x64 with Core i3 and SSD... although looks like mine is opposite of yours (host is Win, VM is SL).

I would say look at some of the the vb options like PAE/NX to see if they need to be enabled, or if you recently dropped memory amount down from what it originally had.

Also with that error code, you may have a bad stick of memory that Linux is more sensitive to.
PM
^
U308
 Posted: Apr 15 2014, 04:08 PM
Quote Post


SLF Advocate
*****

Group: Members
Posts: 472
Member No.: 32
Joined: 11-April 11









Smooth as butter here.
Enable IO APIC (Motherboard)
Enable 'Use Host I/0 Cache (Storage)

user posted image
PM
^
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

Topic Options Reply to this topicStart new topicStart Poll